#!/usr/bin/env bash

##--------------------------------------------------------------------
## Copyright (c) 2020 Dianomic Systems Inc.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##--------------------------------------------------------------------

##
## Author: Deepanshu Yadav
##


ID=$(cat /etc/os-release | grep -w ID | cut -f2 -d"=")

pip3 install requests
pip3 install python-dateutil

if [ ${ID} = "raspbian" ]; then
   pip3 install opencv-contrib-python==4.1.0.25
fi

if [ ${ID} = "ubuntu" ]; then
   pip3 install --upgrade pip
   pip3 install opencv-contrib-python
fi

if [ ${ID} = "mendel" ]; then

   git clone https://github.com/pjalusic/opencv4.1.1-for-google-coral.git /tmp/opencv_coral
   cp /tmp/opencv_coral/cv2.so /usr/local/lib/python3.7/dist-packages/cv2.so
    cp -r /tmp/opencv_coral/libraries/. /usr/local/lib
   rm -rf /tmp/opencv_coral

fi